## snort 1.0

=== DESCRIPTION ===
Package: snort
Type: Package
Title: Social Network-Analysis On Relational Tables
Version: 1.0
Date: 2011-02-12
Author: Eugene Dubossarsky <SNORT@Presciient.com> and Mark Norrie
        <mark.norrie@yisitechnologies.com>
Maintainer: Mark Norrie <mark.norrie@yisitechnologies.com>
Description: The package creates a triple store in the popular Pajek
        format.  It also supports a 3-Dimensional interactive VRML
        visualisation for network exploration.
Depends: network, sna
License: MIT
LazyLoad: yes
Packaged: 2012-10-29 08:59:47 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:59:47
