## snort 1.8.4beta1

=== Makefile ===
CC=gcc
INCLUDE=-I/usr/include/pcap
CFLAGS= -ggdb -Wall -DHAVE_NCURSES -DTCPWRAPPERS $(INCLUDE)
LIBS=-lncurses -lwrap -liap -L./libiap
OBJS=sncon.o ncursed.o utils.o sigs.o
DEPS= snortnet.h sncon.h ncursed.h utils.h sigs.h
sncon: $(OBJS) $(DEPS)
	$(CC) $(CFLAGS) $(OBJS) -o sncon $(LIBS)
clean:
	rm -f *.core *.o sncon

# La-a-a-a-azy
debug:
	gdb sncon sncon.core
