=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

include /usr/share/quilt/quilt.make

export DH_VERBOSE=1

TMP=`pwd`/debian

CFLAGS:=-g -O2 -D_GNU_SOURCE

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CFLAGS

CONFFLAGS= --prefix=/usr \
	--bindir=\$$\{exec_prefix\}/sbin \
	--mandir=\$$\{exec_prefix\}/share/man \
	--enable-prelude 

aclocal.m4:
	aclocal-1.9 -I m4/
	automake-1.9 -i
	autoconf

clean-sources:
	# Clean the sources
	[ ! -f Makefile ] ||  $(MAKE) distclean
	cd src &&  [ ! -f Makefile ] || $(MAKE) distclean
# Remove the flag that indicated that the sources were configured
	-rm -f configure-stamp

clean: clean-sources unpatch
	dh_testdir
	dh_testroot
# Clean all the stamps
	rm -f build*stamp install-stamp configure-stamp
# Clean binaries we create when building the packages
	rm -f src/snort-mysql
	rm -f src/snort-pgsql
	rm -f src/snort-inline
	rm -f src/snort-basic
	rm -f src/snort
# Clean documents
	cd doc && [ ! -f Makefile ] || $(MAKE) distclean
	rm -f doc/snort_manual.pdf doc/snort_manual.ps doc/snort_manual.aux \
	    doc/snort_manual.log doc/snort_manual.toc
	rm -f doc/faq.idx doc/faq.out doc/faq.log doc/faq.toc doc/faq.aux \
	    doc/faq.pdf doc/faq.ps
	dh_clean

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
# Standard package support
	./configure $(CONFFLAGS) \
		--without-mysql \
		--without-postgresql \
		--enable-zlib \
		--enable-ipv6
	touch $@

build-basic: build-basic-stamp
build-basic-stamp: $(QUILT_STAMPFN) configure
# NOTE: We don't clean the sources on the first compilation
	dh_testdir
	# Basic package (no BBDD support):
	$(MAKE) 
	cp src/snort src/snort-basic
	touch $@

build-pgsql: build-pgsql-stamp
build-pgsql-stamp: $(QUILT_STAMPFN)
	dh_testdir
	sh debian/clean_sources.sh
	# PostgreSQL package:
	./configure $(CONFFLAGS) \
		--without-mysql \
		--with-postgresql \
		--with-pgsql-includes=`pg_config --includedir`  \
		--enable-zlib
	$(MAKE) 
	cp src/snort src/snort-pgsql
	touch $@

build-mysql: build-mysql-stamp
build-mysql-stamp: $(QUILT_STAMPFN)
	dh_testdir
	sh debian/clean_sources.sh
	# MySQL package:
	./configure $(CONFFLAGS) \
		--with-mysql \
		--with-mysql-libraries=`mysql_config --variable=pkglibdir` \
		--without-postgresql \
		--enable-zlib
	$(MAKE) 
	cp src/snort src/snort-mysql
	touch $@

build-inline: build-inline-stamp
build-inline-stamp: $(QUILT_STAMPFN)
	dh_testdir
	sh debian/clean_sources.sh
	# Inline support
	./configure $(CONFFLAGS) \
		--without-mysql \
		--without-postgresql \
		--enable-inline \
		--with-libipq-includes=/usr/include/libipq/ \
		--enable-zlib
	$(MAKE) 
	cp src/snort src/snort-inline
	touch $@

build-arch: build-basic build-pgsql build-mysql build-arch-stamp 
build-arch-stamp: 
	dh_testdir
	touch $@

build-indep: configure build-indep-stamp
build-indep-stamp: 
	dh_testdir
	# Build the documentation
# Only do this if we have the required binaries and files
# Note: I hate hardcoding paths here, but the buildds are stupid
	@if [ -x /usr/bin/ps2pdf -a -x /usr/bin/pslatex -a \
	     -x /usr/bin/dvips -a \
	     -e /usr/share/texmf-texlive/tex/latex/pslatex/pslatex.sty -a \
	     -e /usr/share/texmf-texlive/tex/latex/oberdiek/kvoptions.sty ] ; \
	then \
	    $(MAKE) -C doc snort_manual.pdf faq.pdf ; \
	else \
	    echo >&2 'WARNING: Not building documentation, environment not available!'; \
	fi
	touch $@

build: 
	
install: install-indep install-arch

install-arch: 
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s
# Install the common binaries
	$(MAKE) install prefix=$(TMP)/snort-common/usr/
	rm -f  $(TMP)/snort-common/usr/sbin/snort
	# clean dependency_libs
	find $(TMP)/snort-common/usr/lib  -name "*.la" -exec \
		sed -i -e "s,^dependency_libs=.*,dependency_libs=''," {} +
# Snort binaries
	install -m 755 -o root -g root src/snort-basic $(TMP)/snort/usr/sbin/snort
	install -m 755 -o root -g root src/snort-mysql $(TMP)/snort-mysql/usr/sbin/snort
	install -m 755 -o root -g root src/snort-pgsql $(TMP)/snort-pgsql/usr/sbin/snort
#	install -m 755 -o root -g root src/snort-inline   $(TMP)/snort/usr/sbin/snort
# Default config
#	install -m 644 -o root -g root `pwd`/debian/snort.common.parameters $(TMP)/snort-mysql/etc/snort/snort.common.parameters
#	install -m 644 -o root -g root `pwd`/debian/snort.common.parameters $(TMP)/snort-pgsql/etc/snort/snort.common.parameters
#	install -m 644 -o root -g root `pwd`/debian/snort.common.parameters $(TMP)/snort/etc/snort/snort.common.parameters
	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort/etc/default/snort
	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort-mysql/etc/default/snort
	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort-pgsql/etc/default/snort
#	install -m 644 -o root -g root `pwd`/debian/snort.default $(TMP)/snort-inline/etc/default/snort
#  Install init.d initscripts
	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort/etc/init.d/snort
	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort-mysql/etc/init.d/snort
	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort-pgsql/etc/init.d/snort
#	install -m 755 -o root -g root `pwd`/debian/snort.init.d $(TMP)/snort-inline/etc/init.d/snort
#  Install PPP initscripts
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort/etc/ppp/ip-up.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort/etc/ppp/ip-down.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort-mysql/etc/ppp/ip-up.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort-mysql/etc/ppp/ip-down.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort-pgsql/etc/ppp/ip-up.d/snort
	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort-pgsql/etc/ppp/ip-down.d/snort
#	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-up.d $(TMP)/snort-inline/etc/ppp/ip-up.d/snort
#	install -m 755 -o root -g root `pwd`/debian/my/snort.ip-down.d $(TMP)/snort-inline/etc/ppp/ip-down.d/snort
# Logrotate files
	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort/etc/logrotate.d/snort
	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort-mysql/etc/logrotate.d/snort
	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort-pgsql/etc/logrotate.d/snort
#	install -m 644 -o root -g root `pwd`/debian/snort.logrotate $(TMP)/snort-inline/etc/logrotate.d/snort
# Move libraries to the snort-common-libraries package
	mv $(TMP)/snort-common/usr/lib/ $(TMP)/snort-common-libraries/usr/
# Remove headers, as this is not a -dev package
#	mv $(TMP)/snort-common/usr/src/ $(TMP)/snort-common-libraries/usr/
	rm -rf $(TMP)/sort-common/usr/src/
# Remove useless (empty) directories
	rmdir $(TMP)/snort-pgsql/usr/share/doc/snort
	rmdir $(TMP)/snort-mysql/usr/share/doc/snort

	dh_install -s

install-indep: 
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i
# Install Debian specific, scripts and files of the snort-common
# package
	install -m 755 -o root -g root `pwd`/debian/snort.cron.daily $(TMP)/snort-common/etc/cron.daily/5snort
	install -m 755 -o root -g root `pwd`/debian/my/snort-stat $(TMP)/snort-common/usr/sbin/
	install -m 644 -o root -g root `pwd`/etc/snort.conf $(TMP)/snort-common/etc/snort/
	install -m 644 -o root -g root `pwd`/etc/unicode.map $(TMP)/snort-common/etc/snort/
	install -m 644 -o root -g root `pwd`/etc/threshold.conf $(TMP)/snort-common/etc/snort/
#  Install files of the arch-independent packages
	cp rules/*.rules $(TMP)/snort-rules-default/etc/snort/rules/
#	mkdir -p $(TMP)/snort-rules-default/usr/share/snort/
