## snort 2.9.2.2

=== debian/changelog ===
snort (2.9.2.2-2) unstable; urgency=low

  * Fix "FTBFS with multiarch libmysqlclient-dev" using the
    patch supplied by Gregor Herrmann :
    + apply patch from Ubuntu / Jean-Louis Dupond:
      - debian/rules: use mysql_config to find libraries to fix FTBFS 
        with multiarch libmysqlclient.
    + debian/control: Build-Depends: drop virtual libmysqlclient15-dev,
      make libmysqlclient-dev versioned to get mysql_config's --variable= 
      switch.
    (Closes: #650060)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 02 Jun 2012 17:56:00 +0200

snort (2.9.2.2-1) unstable; urgency=low

  * New upstream version (bug fix release)
     - Provides portvar $FILE_DATA_PORTS in etc/snort.conf (Closes: #661944)
  * Acknowledge NMU (Closes: #669524)
  * debian/check-snort-conf.sh: New script to check the validity
     of the etc/snort.conf file provided
  * debian/patches/series, debian/patches/config_disabled_rules,
    debian/patches/config: Create independent patch to comment
    the rules files which are not provided in the Debian package.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 May 2012 01:01:30 +0200

snort (2.9.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correct tex .sty path (Closes: #669524)

 -- Emfox Zhou <emfox@debian.org>  Mon, 30 Apr 2012 15:57:48 +0800

snort (2.9.2-4) unstable; urgency=low

  * Fix typo (appropiate --> apppropriate) in all the Snort templates. Also
    update translations and manually unfuzzy them

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 14 Feb 2012 00:38:01 +0100
