=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: snort
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
+Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
 Uploaders: Andrew Pollock <apollock@debian.org>
 Build-Depends: 
     libnet1-dev, 
     libpcap0.8-dev, 
     libpcre3-dev, 
     debhelper (>= 5.0.0), 
-    libmysqlclient15-dev | libmysqlclient-dev, 
+    libmysqlclient-dev (>= 5.5), 
     libpq-dev, 
     po-debconf (>= 0.5.0), 
     libprelude-dev,
