=== debian/rules ===
--- 
+++ 
@@ -98,9 +98,9 @@
 	# MySQL package:
 	./configure $(CONFFLAGS) \
 		--with-mysql \
-		--with-mysql-libraries=`mysql_config --variable=pkglibdir` \
 		--without-postgresql \
-		--enable-zlib
+		--enable-zlib \
+		--with-mysql-libraries=`mysql_config --variable=pkglibdir` 
 	$(MAKE) 
 	cp src/snort src/snort-mysql
 	touch $@
@@ -133,8 +133,8 @@
 # Note: I hate hardcoding paths here, but the buildds are stupid
 	@if [ -x /usr/bin/ps2pdf -a -x /usr/bin/pslatex -a \
 	     -x /usr/bin/dvips -a \
-	     -e /usr/share/texmf-texlive/tex/latex/pslatex/pslatex.sty -a \
-	     -e /usr/share/texmf-texlive/tex/latex/oberdiek/kvoptions.sty ] ; \
+	     -e /usr/share/texlive/texmf-dist/tex/latex/pslatex/pslatex.sty -a \
+	     -e /usr/share/texlive/texmf-dist/tex/latex/oberdiek/kvoptions.sty ] ; \
 	then \
 	    $(MAKE) -C doc snort_manual.pdf faq.pdf ; \
 	else \
