## snort 2.9.5.3

=== debian/changelog ===
snort (2.9.5.3-3) unstable; urgency=low

  * debian/control: Add texlive-binaries and texlive-font-utils to
     Build-Depends-Indep to make sure that buildds have the binaries
     required to build the documentation as suggested by Hideki Yamane.
     Kept the texlive metapackage however in debian/control just int case.
     (Closes: 713254) 
  * Debconf updated Translations:
    - Updated Russian translation, contributed by Yuri Kozlov (Closes: 722987)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 21 Oct 2013 19:39:20 +0200

snort (2.9.5.3-2) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team as part of the Smith review project. (Closes: 720061)
  * Debconf updated Translations:
    - Update Spanish translation, contributed by Javier Fernandez-Sanguino
    - Updated Russian translation, contributed by Yuri Kozlov (Closes: 722987)
    - Updated German translation, contributed by Chris Leick (Closes: 723769)
    - Updated Portuguese translation, contributed by Miguel Figueiredo
      (Closes: 723779)
    - Add Simplified Chinese debconf, contributed by Yi Mingjing 
      (Closes: 723818)
    - Updated Czech translation, contributed by Michal Šimůnek 
      (Closes: 724289)
    - Updated French translation, contributed by JP Guillonneau 
      (Closes: 724300)
    - Updated Janapese translation (Closes: 724706)
    - Updated Italian translation provided by Daniele Forsi (Closes: 724707)
    - Updated Danish translation provided by  Joe Hansen (Closes: 724932)
    - Updated Swedish translation provided by Martin Bagge (Closes: 725104)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 24 Sep 2013 03:39:00 +0200

snort (2.9.5.3-1) unstable; urgency=low

  * New upstream release.
    - Remove faq from the build since it is no longer provided upstream
  * Lintian fix typo in debian/snort-rules-default.README.Debian
  * debian/patches: Refresh all patches with new upstream
     - config_disabled_rules: Disable more .rules files which are not
       provided in the upstream sources (but might be in the VRT
       Sourcefire)
  * debian/control: Add latex2html to Build-Depends-Indep as the html.sty
    file is required for building the documentation

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 16 Aug 2013 20:51:02 +0200

snort (2.9.3.1-1) experimental; urgency=low

  * New upstream release, target towards experimental due to the current freeze.
  * The most relevant change in this release is that support by Snort to
    output directly in a database has been dropped, which means that the
    snort-pgsql and snort-mysql packages are no longer possible. This 
    is documented in the NEWS file. Also relevant is that support for
    Prelude is no longer available.
  * Since this release does not include the snort database packages any
    longer, bugs associated with them are no longer relevant
    (Closes: #526511, #567495, #292699, #276565, #527113, #388963, #388962,
    #321046, #369951)
  * debian/rules: Update the configuration options to adjust to those used
    in the snort.conf script provided upstream
  * debian/patches/fix_upstream_typos: Do typo fixes to more source files
  * debian/patches/config: Add more comments in the default configuration
    file, enable at least one output plugin (unified2) and set some
    configurations values as recommended in Jason Weir's "Building a
    Debian\Snort based IDS" available in http://www.snort.org/docs
    (Closes: #193544)
  * debian/patches/*: Refresh the patches to apply to the new upstream release
  * debian/po/*: Refresh all templates since the previous templates for
    database configuration have gone along with the snort database 'flavor'
    packages.
  * debian/snort-common.preinst: Remove the /etc/snort/database.conf on
    upgrades
  * debian/snort.preinst: Control output of usermod
  * debian/snort-common.{config,templates}: 
      - Add code to detect old configuration files with content (which might
        happen on upgrades to 2.9.3 coming from the snort-mysql or snort-pgsql
        packages) and warn the user if they exist.
      - Update the list of valid preprocessors for this release

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 08 Aug 2012 22:12:35 +0200

snort (2.9.2.2-3) unstable; urgency=medium

  [ Upload target towards Wheezy fixing some important bugs
    and substantially improving the information provided on the
    packages to clarify user expectations ]
  * Acknowledge previous NMU
  * debian/patches/config: Update the patch to: 
     - use absolute paths instead of relative paths to point to
       the white list and black list used by the reputation
       pre-processor.
     - disable the reputation as we do not ship any white/black lists
       by default (which causes it to fail at startup) and also
       because this preprocessor is experimental.

       Both changes fix the bug that prevented the package from being
       configured due to errors when starting up Snort with the 
       default configuration (Closes: #677810)

      - Add a comment to /etc/snort/snort.conf documenting for users
        reading the file that preinstalled rules are surely out of date.

  * debian/patches/config_disabled_rules: Comment out shellcode rules as these
    have a huge impact in performance unless properly tuned.
  * debian/patches/rules: Fix the definition of many SIP rules (defined
    as 'alert ip any any'. These were generating a lot of false positives
    in environment were enabled. Regardless of the change comment out SIP
    rules since they are outdate can generate many false alarms unless
    properly defined.  (Closes: #626596, #680303).
  * debian/control: Adjust description of snort-rules-default to indicate
    users that the ruleset provided should not be considered up-to-date.
    Encourage users to obtain additional/upgraded rules elsewhere.

