## snort 2.9.6.0

=== debian/changelog ===
snort (2.9.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/patches/documentation: Removed.
  * debian/patches/fix_upstream_typos: Updated.
  * debian/control:
    - Updated Standards-Version to 3.9.5.
    - Set build-dependency for libdaq-dev to 2.0.

 -- Jonathan Davies <jonathan.davies@canonical.com>  Fri, 04 Apr 2014 00:14:23 +0000
