=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     po-debconf (>= 0.5.0), 
     libgnutls-dev, 
     libdumbnet-dev, 
-    libdaq-dev, 
+    libdaq-dev (>= 2.0), 
     flex, 
     bison
 Build-Depends-Indep: 
@@ -21,7 +21,7 @@
     texlive-font-utils,
     latex2html,
     ghostscript
-Standards-Version:  3.9.2
+Standards-Version:  3.9.5
 Homepage: http://www.snort.org/
 Vcs-Git: git://git.debian.org/git/pkg-snort/pkg-snort.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-snort/pkg-snort.git
